Model A1013, A1052, A1085, or A1107 / 1440x900 screen resolution

151 Questions View all

Will replacement hard drive affect OS compatibility?

I think my hard drive is about to give out and I am wondering if there is an upgrade that will allow me to use an OS newer than 10.4.11.

I notice that ifixit offers two replacement drives; a 160gb and a 320 gb. Will the compatibility of OS be affected by using one or the other?

PB G4 17 1ghz 1gb

Answered! View the answer I have this problem too

Is this a good question?

Score 0

Comments:

Apple PowerBook G4 1.0 17" (Al) Specs

Identifiers: 17-Inch - M8793LL/A - PowerBook5,1 - A1013 - N/A

by

Add a comment

2 Answers

Chosen Solution

According to Mactracker you can install 10.5.8 on your PB model. For a better performance you should also upgrade the ram to 2GB (2 X 1GB PC2700 sodim). Make sure the new drive is a IDE (PATA) cause the SATA model wont work in the G4.

http://www.mactracker.ca/

Was this answer helpful?

Score 4

Comments:

Though not an expert I have done a fair amount of reading on the matter and as my powerbook g4 17 stands now with 1gb 1ghz the latest os it will run well is 10.4.1. I also thought it was clear that my powerbook could not be increased from 1gb to 2gb. I will go to mactracker now to learn more.

by

You didn't tell us which 17" PowerBook you had.

by

To install Leopard on a Mac you need a 867mhz processor and up so the PB 1ghz is compatible and yes you can upgrade this machine to 2 X 1gb ram.

http://www.everymac.com/systems/apple/po...

by

Add a comment

No, it won't. OS Compatibility depends from the model of your computer, mostly from its CPU and GPU according to Apple.

So, you can't go beyond the boundaries you can easily read from Wikipedia and MacTracker with a simple Hard Disk replacement.

With a bigger HD you can simply store more stuff.

Was this answer helpful?

Score 2

Comments:

In my first question I did type in PB G4 17 1ghz 1gb. Is there more info I should provide?

by

Machine model: PowerBook 5,1

CPU type PowerPC G4 (3.3)

by

Lemerise is correct--your unit will run OS 10.5.8 and will take 2GB of memory although Apple says 1 GB. You should max the memory if you are going to run Leopard.

by

Well this in quite enlightening! I would be very interested to upgrade to 2gb. But I believe Stefano Gigante is saying above that the OS is limited by the model and cpu and gpu.

Can my 1ghz be increased also?

by

You got it right... mostly. See, when Apple jumped from the PPC architecture to the Intel, it phased out developement for the old systems gradually. So 10.6 is written for Intel only devices.

Furthermore, 10.7 does a check on your machine to see if you've got at least a Core 2 Duo, and it's rumored 10.8 will also check on the GPU.

Thus, in Mac world, mostly your CPU dictates the OS you're going to get. While there are "tricked up" DVDs that allow (illegally, sadly) to run 10.7 on an old Core Duo machine, there simply aren't any version 10.6 with PPC support.

So, you're stuck with what your model can support, and what your model can support is 10.5.8.

You can't upgrade the CPU, since it's soldered on the logic board, but you can benefit from more ram and HDD, and have a decent multipurpose machine.

by

Show 4 more comments

Add a comment

Add your answer

Ernest Gagnon will be eternally grateful.
View Statistics:

Past 24 Hours: 0

Past 7 Days: 0

Past 30 Days: 0

All Time: 754